function [x_face, y_face, size_width, size_height]=Filter_Faces(All_Faces)

if (size(All_Faces,1)==1)
	x_face=All_Faces(1,1);
	y_face=All_Faces(1,2);
	size_width=All_Faces(1,3);
	size_height=All_Faces(1,4);
elseif (size(All_Faces,1)<6)
	x_face=floor(sum(All_Faces(:,1))/size(All_Faces,1));
	y_face=floor(sum(All_Faces(:,2))/size(All_Faces,1));
	size_width=floor(sum(All_Faces(:,3))/size(All_Faces,1));
	size_height=floor(sum(All_Faces(:,4))/size(All_Faces,1));
else  % if there are more than 6 faces found (2 times cluster number) use k-means classifier
	myw=All_Faces(:,1:3); % discard the fourth column (witdh == height in a square)
	[Cent,L,K,norm_mean,norm_std] = kmeans( myw, 3, [], 1.5, 1e-4, 0, 1, 0, 0);
	I1=find(K(:,1));
	I2=find(K(:,2));
	I3=find(K(:,3));
	if ((size(I1,1) >= size(I2,1)) & (size(I1,1) >= size(I3,1))) I=I1; end
	if ((size(I2,1) >= size(I1,1)) & (size(I2,1) >= size(I3,1))) I=I2; end
	if ((size(I3,1) >= size(I1,1)) & (size(I3,1) >= size(I2,1))) I=I3; end
	x_face=floor(sum(myw(I,1))/size(myw(I),1));
	y_face=floor(sum(myw(I,2))/size(myw(I),1));
	size_width=floor(sum(myw(I,3))/size(myw(I),1));
	size_height=floor(sum(myw(I,3))/size(myw(I),1));
end
